Groups (v1)

circle-info

이 문서는 v1 API를 사용하며, Snyk은 향후 개발을 REST API에 집중할 예정이므로 결국 지원이 중단될 예정입니다. 자세한 내용은 v1 API를 참조하십시오.

List all tags in a group

get
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have access admin to this group.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
Query parameters
perPagenumber · doubleOptional

The number of results to return (the default is 1000).

Example: 10
pagenumber · doubleOptional

The offset from which to start returning results from.

Example: 1
Responses
chevron-right
200Success
application/json
get
/group/{groupId}/tags
200Success

Delete tag from group

post
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have access admin to this group.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
Body
keystringOptional

Valid tag key.

valuestringOptional

Valid tag value.

forcebooleanOptional

force delete tag that has entities (default is false).

Responses
chevron-right
200Success
application/json
keystringOptional

Valid tag key.

valuestringOptional

Valid tag value.

forcebooleanOptional

force delete tag that has entities (default is false).

post
/group/{groupId}/tags/delete
200Success

Update group settings

put
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have admin access to this group.

Example: b61bc07c-27c6-42b3-8b04-0f228ed31a67
Body
sessionLengthnumberOptional

The new session length for the group in minutes. This must be an integer between 1 and 43200 (30 days). Setting this value to null will result in this group inheriting from the global default of 30 days.

Responses
chevron-right
200Success
application/json
sessionLengthnumberOptional

The new session length for the group in minutes. This must be an integer between 1 and 43200 (30 days). Setting this value to null will result in this group inheriting from the global default of 30 days.

put
/group/{groupId}/settings
200Success

View group settings

get
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have admin access to this group.

Example: b61bc07c-27c6-42b3-8b04-0f228ed31a67
Responses
chevron-right
200Success
application/json
sessionLengthnumberOptional

The new session length for the group in minutes. This must be an integer between 1 and 43200 (30 days). Setting this value to null will result in this group inheriting from the global default of 30 days.

get
/group/{groupId}/settings
200Success

List all roles in a group

get
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have READ access to this group.

Example: a060a49f-636e-480f-9e14-38e773b2a97f
Responses
chevron-right
200Success
application/json
namestringRequired
descriptionstringRequired
publicIdstringRequired
createdstringRequired
modifiedstringRequired
get
/group/{groupId}/roles
200Success

List all organizations in a group

get
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have READ access to this group and LIST organizations access in this group.

Example: a060a49f-636e-480f-9e14-38e773b2a97f
Query parameters
perPagenumber · doubleOptional

The number of results to return (maximum is 100).

Example: 100
pagenumber · doubleOptional

For pagination - offset (from which to start returning results).

Example: 1
namestringOptional

Only organizations that have a name that starts with this value (case insensitive) will be returned.

Example: my
Responses
chevron-right
200Success
application/json
idstringRequired
namestringRequired
urlstringRequired
createdstringRequired
get
/group/{groupId}/orgs
200Success

Add a member to an organization within a group

post
Path parameters
groupIdstringRequired

The group ID. The API_KEY must have access admin to this group.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
orgIdstringRequired

The organization ID we want to add the member to. The API_KEY must have access to this organization.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
Body
userIdstringOptional

The id of the user.

rolestringOptional

The role of the user, "admin" or "collaborator".

Responses
chevron-right
200Success
post
/group/{groupId}/org/{orgId}/members
200Success

No content

List all members in a group

get

Note: Requests to this endpoint are limited to one per minute. Additional requests within this time will receive a 429 Too Many Requests response.

Path parameters
groupIdstringRequired

The group ID. The API_KEY must have access admin to this group.

Example: 4a18d42f-0706-4ad0-b127-24078731fbed
Responses
chevron-right
200Success
application/json
idstringOptional

The id of the user.

namestringOptional

The name of the user.

usernamestringOptional

The username of the user.

emailstringOptional

The email of the user (email is null if the member is a service account).

groupRolestringOptional

(Optional) The role of the user in the group.

get
/group/{groupId}/members
200Success

Last updated